Name: perl-File-RsyncP
Version: 0.62
Release: 2%{?dist}
Summary: A perl implementation of an Rsync client
License: GPL
Group: Development/Libraries
URL: http://search.cpan.org/dist/File-RsyncP/
Source0: http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/File-RsyncP-%{version}.tar.gz
Patch0:	File-RsyncP-0.62-compilation-error.patch
Patch1:	File-RsyncP-0.62-logic.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires: %{_bindir}/iconv

%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible with
Rsync 2.5.5 - 2.6.3 (protocol versions 26-28). It can send or receive files,
either by running rsync on the remote machine, or connecting to an rsyncd
daemon on the remote machine.



%prep
%setup -q -n File-RsyncP-%{version}
%patch0 -p0
%patch1 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/File/RsyncP.pm
%{perl_vendorarch}/File/RsyncP/
%{perl_vendorarch}/auto/File/RsyncP/
%{_mandir}/man3/*


%changelog
* Fri Jul 21 2006 Mike McGrath <imlinux@gmail.com> - 0.62-2
- Fixed whitespace issue and removed SMP flags on make

* Thu Jul 20 2006 Mike McGrath <imlinux@gmail.com> - 0.62-1
- Updated to 0.62 and applied two known patches

* Thu Jul 20 2006 Mike McGrath <imlinux@gmail.com> - 0.52-1
- Initial Fedora Packaging
